Bootstrap client account
curl --request GET \
--url https://prod-api.stableyard.fi/v2/client/bootstrap \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-api.stableyard.fi/v2/client/bootstrap"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-api.stableyard.fi/v2/client/bootstrap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": {
"id": "acct_123",
"externalUserId": "user_123",
"subjectType": "individual",
"status": "active",
"paymentAcceptance": {
"publicReceiveEnabled": false,
"version": 1
},
"metadata": {},
"createdAt": "2026-08-28T10:00:00.000Z",
"updatedAt": "2026-08-28T10:00:00.000Z"
},
"connectedWallets": [
{
"id": "wallet_123",
"accountId": "acct_123",
"kind": "evm",
"chainId": 42161,
"address": "0x1111111111111111111111111111111111111111",
"label": "Connected wallet",
"status": "active",
"ownershipVerificationStatus": "unverified",
"ownershipVerificationMethod": "eip712_signature",
"settlementProfileId": "settle_123",
"createdAt": "2026-08-28T10:00:00.000Z",
"updatedAt": "2026-08-28T10:00:00.000Z"
}
],
"activityTotals": [
{}
],
"permissions": [
"account:read"
],
"capabilities": {
"chainId": 42161,
"asset": {
"chainId": 42161,
"tokenAddress": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"symbol": "USDC",
"decimals": 6,
"kind": "token"
},
"canCreatePayments": true,
"paymentReadiness": {
"canInitiate": true,
"sourceReady": true,
"executableMethods": [
"connected_wallet"
],
"blockedReasons": [
"Requested by partner"
],
"checkedAt": "2026-08-28T10:00:00.000Z"
},
"canReceiveDeposits": true,
"canCreateDepositAddresses": true,
"smartWalletModes": [
"external_owner"
]
},
"recentTransactions": [
{
"id": "txn_123",
"accountId": "acct_123",
"senderAccountId": "acct_sender123",
"receiverAccountId": "acct_receiver123",
"direction": "sent",
"status": "pending",
"amount": {
"asset": {
"chainId": 42161,
"tokenAddress": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"symbol": "USDC",
"decimals": 6,
"kind": "token"
},
"amount": "1250000"
},
"description": "USDC payment",
"sourceType": "payment",
"sourceId": "payment_123",
"paymentId": "payment_123",
"financialLegKind": "collection"
}
],
"recentPayments": [
{
"id": "payment_123",
"apiVersion": "2026-09-09",
"intent": "receive",
"amountMode": "collect_exact",
"status": "requires_payment_method",
"offrampStatus": null,
"stage": null,
"operationalState": "normal",
"operationalReasonCode": null,
"operationalUpdatedAt": null,
"statusVersion": 1,
"paymentAmount": {
"amount": "50.00",
"amountAtomic": "50000000",
"assetType": "crypto",
"assetCode": "USDC",
"decimals": 6,
"chainId": 8453,
"tokenAddress": "0x1111111111111111111111111111111111111111"
},
"sourceAmount": {
"amount": "50.00",
"amountAtomic": "50000000",
"assetType": "crypto",
"assetCode": "USDC",
"decimals": 6,
"chainId": 8453,
"tokenAddress": "0x1111111111111111111111111111111111111111"
},
"participants": [
{
"role": "sender",
"accountId": "acct_123"
}
],
"recipientDisplay": {
"displayName": "Example account",
"logoUrl": null
},
"destination": {
"type": "upa",
"accountId": "acct_123"
},
"settlement": {
"type": "settlement_destination",
"settlementDestinationId": null,
"destinationType": "example",
"destinationAddress": "0x1111111111111111111111111111111111111111",
"chainId": 1,
"assetCode": "USDC",
"tokenAddress": "0x1111111111111111111111111111111111111111",
"decimals": 0
},
"fees": {
"version": null,
"pricingStatus": "quote_pending",
"platformFeeBps": 0,
"partnerFeeBps": 0,
"platformFeeAmountAtomic": null,
"partnerFeeAmountAtomic": null,
"merchantNetAmountAtomic": null
},
"funding": {
"mode": "escrow",
"required": {
"amount": "1000000",
"amountAtomic": "1000000",
"assetType": "crypto",
"assetCode": "USDC",
"decimals": 0,
"chainId": 1,
"tokenAddress": "0x1111111111111111111111111111111111111111"
},
"providerPrincipal": {
"amount": "1000000",
"amountAtomic": "1000000",
"assetType": "crypto",
"assetCode": "USDC",
"decimals": 0,
"chainId": 1,
"tokenAddress": "0x1111111111111111111111111111111111111111"
},
"providerFee": {
"amount": "1000000",
"amountAtomic": "1000000",
"assetType": "crypto",
"assetCode": "USDC",
"decimals": 0,
"chainId": 1,
"tokenAddress": "0x1111111111111111111111111111111111111111"
},
"platformFee": {
"amount": "1000000",
"amountAtomic": "1000000",
"assetType": "crypto",
"assetCode": "USDC",
"decimals": 0,
"chainId": 1,
"tokenAddress": "0x1111111111111111111111111111111111111111"
},
"partnerFee": {
"amount": "1000000",
"amountAtomic": "1000000",
"assetType": "crypto",
"assetCode": "USDC",
"decimals": 0,
"chainId": 1,
"tokenAddress": "0x1111111111111111111111111111111111111111"
},
"totalFees": {
"amount": "1000000",
"amountAtomic": "1000000",
"assetType": "crypto",
"assetCode": "USDC",
"decimals": 0,
"chainId": 1,
"tokenAddress": "0x1111111111111111111111111111111111111111"
},
"exchangeRate": {
"rate": "1000000",
"baseAssetCode": "USDC",
"quoteAssetCode": "USDC"
},
"quoteExpiresAt": null,
"depositAddress": {
"address": "0x1111111111111111111111111111111111111111",
"chainId": 1,
"tokenAddress": "0x1111111111111111111111111111111111111111",
"assetCode": "USDC",
"decimals": 0,
"amount": "1000000",
"amountAtomic": "1000000"
}
},
"externalReference": null,
"description": null,
"metadata": {},
"expiresAt": null,
"acceptedAt": null,
"succeededAt": null,
"cancelledAt": null,
"failure": {
"code": null,
"message": null
},
"refundSummary": {
"status": "none",
"count": 0,
"requestedAmountAtomic": "1000000",
"confirmedAmountAtomic": "1000000"
},
"incidentRecoverySummary": {
"count": 0,
"pendingCount": 0,
"confirmedCount": 0,
"failedCount": 0,
"requiresInterventionCount": 0,
"requestedAmountAtomic": "1000000",
"confirmedAmountAtomic": "1000000"
},
"createdAt": "2026-08-28T10:00:00.000Z",
"updatedAt": "2026-08-28T10:00:00.000Z"
}
]
}{
"error": {
"code": "bad_request",
"message": "The request is invalid",
"details": "example"
}
}{
"error": {
"code": "bad_request",
"message": "The request is invalid",
"details": "example"
}
}Client sessions
Bootstrap the client account
Load the account, recent activity, pending actions and capability hints for a client.
GET
/
v2
/
client
/
bootstrap
Bootstrap client account
Returns the account bundle, recent Stableyard-recorded activity, pending actions and capability hints for the account fixed by the client access token from Exchange a client session token.
Authorizations
Short-lived account-bound token returned by POST /v2/client/auth/exchange.
Response
Client account bootstrap
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Account-bound browser/mobile authority granted by the partner backend. This is narrower than the issuing app credential and cannot enable a disabled app product.
Available options:
account:read, payments:read, payments:write, deposits:read, deposits:write, vault_payments:write Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes